Index: trunk/kernel/kern/core.h
===================================================================
--- trunk/kernel/kern/core.h	(revision 16)
+++ trunk/kernel/kern/core.h	(revision 19)
@@ -1,5 +1,5 @@
 /*
  * core.h - core descriptor and associated access functions définition
- * 
+ *
  * Authors  Ghassan Almaless (2008,2009,2010,2011,2012)
  *          Mohamed Lamine Karaoui (2015)
@@ -49,5 +49,5 @@
 {
 	lid_t               lid;            /*! core local index in cluster                */
-	gid_t               gid;            /*! core global identifier (hardware index)    */   
+	gid_t               gid;            /*! core global identifier (hardware index)    */
 	uint64_t            cycles;         /*! total number of cycles (from hard reset)   */
 	uint32_t            time_stamp;     /*! previous time stamp (read from register)   */
@@ -58,5 +58,5 @@
 	struct thread_s   * thread_rpc;     /*! pointer on current RPC thread descriptor   */
 	struct thread_s   * thread_idle;    /*! pointer on idle thread descriptor          */
-	struct thread_s   * fpu_owner;      /*! pointer on current FPU owner thread        */ 
+	struct thread_s   * fpu_owner;      /*! pointer on current FPU owner thread        */
     uint32_t            rand_last;      /*! last computed random value                 */
 	uint32_t            rpc_threads;    /*! total number of RPC threads for this core  */
@@ -71,5 +71,5 @@
 
 //	sysfs_entry_t       node;
-} 
+}
 core_t;
 
@@ -87,9 +87,9 @@
  ***************************************************************************************
  * @ core      : pointer on core descriptor to initialise.
- * @ lid       : local core index 
+ * @ lid       : local core index
  * @ gid       : global core identifier (hardware index)
  **************************************************************************************/
-void core_init( core_t   * core, 
-                lid_t      lid, 
+void core_init( core_t   * core,
+                lid_t      lid,
                 gid_t      gid );
 
@@ -104,6 +104,6 @@
 
 /***************************************************************************************
- * This function returns the current date (cycles) from both 
- * the hardware 32 bits cycles counter and the core descriptor cycles counter, 
+ * This function returns the current date (cycles) from both
+ * the hardware 32 bits cycles counter and the core descriptor cycles counter,
  * taking into account the 32 bits hardware register overflow.
  * The core descriptor time is updated.
@@ -116,5 +116,5 @@
 /***************************************************************************************
  * This function returns the current date (seconds & micro-seconds) from both
- * the hardware 32 bits cycles counter and the core descriptor cycles counter, 
+ * the hardware 32 bits cycles counter and the core descriptor cycles counter,
  * taking into account the 32 bits hardware register overflow.
  * The core descriptor time is updated.
@@ -132,5 +132,5 @@
  * It updates the  cycles and ticks counter in the calling core descriptor.
  * It handles all pending alarms depending on the ticks counter value.
- * It handles the scheduling, depending on the ticks counter value. 
+ * It handles the scheduling, depending on the ticks counter value.
  * It handles the global DQDT update, depending on the ticks counter vakue.
  ***************************************************************************************
@@ -140,5 +140,5 @@
 
 /***************************************************************************************
- * This function updates the usage statistics for the calling core descriptor, 
+ * This function updates the usage statistics for the calling core descriptor,
  * based on the ratio between the idle_ticks and total_ticks.
  ***************************************************************************************
@@ -157,5 +157,5 @@
  * This function set/reset a selected entry in one interrupt vector for a remote core.
  * The written value is an extended pointer on the "source" device (or the XPTR_NULL
- * value in case of reset). As it uses remote access, this function can be called by 
+ * value in case of reset). As it uses remote access, this function can be called by
  * any thread in any cluster.
  ***************************************************************************************
